%define url_ver %(echo %{version}|cut -d. -f1,2)
%define busname org.gnome.MultiWriter

Name:		gnome-multi-writer
Version:	3.35.90
Release:	%mkrel 1
Summary:	Write and verify an ISO file to up to 20 USB devices at once
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		https://wiki.gnome.org/Apps/MultiWriter
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	gettext
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 1.35.9
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.11.2
BuildRequires:	pkgconfig(udisks2)
BuildRequires:	pkgconfig(libcanberra-gtk3)
BuildRequires:	pkgconfig(gusb) >= 0.2.2
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(polkit-gobject-1)
BuildRequires:	appdata-tools
BuildRequires:	gsettings-desktop-schemas
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	xsltproc
BuildRequires:	docbook-style-xsl
BuildRequires:	docbook-utils
BuildRequires:	meson
Requires:	gsettings-desktop-schemas

%description
GNOME MultiWriter allows to write and verify an ISO file to up to 20 USB
devices at once.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%check
%meson_test

%files -f %{name}.lang
%doc README.md
%{_bindir}/%{name}
%{_libexecdir}/gnome-multi-writer-probe
%{_datadir}/applications/%{busname}.desktop
%{_datadir}/glib-2.0/schemas/*.xml
%{_metainfodir}/%{busname}.appdata.xml
%{_datadir}/polkit-1/actions/%{busname}.policy
%{_mandir}//man1/%{name}.1*
%{_iconsdir}/*/*/*/*.*


%changelog
* Wed Mar 04 2020 ovitters <ovitters> 3.35.90-1.mga8
+ Revision: 1553816
- new version 3.35.90

* Sat Feb 15 2020 umeabot <umeabot> 3.32.1-2.mga8
+ Revision: 1526498
- Mageia 8 Mass Rebuild

* Thu May 23 2019 daviddavid <daviddavid> 3.32.1-1.mga7
+ Revision: 1398988
- new version 3.32.1

* Wed Apr 17 2019 umeabot <umeabot> 3.32.0-2.mga7
+ Revision: 1392434
- Rebuild with meson 0.50.1

* Sat Mar 09 2019 daviddavid <daviddavid> 3.32.0-1.mga7
+ Revision: 1373071
- new version 3.32.0

* Tue Sep 04 2018 daviddavid <daviddavid> 3.30.0-1.mga7
+ Revision: 1257171
- new version: 3.30.0

* Tue Mar 20 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1210825
- new version 3.28.0

* Mon Sep 11 2017 ovitters <ovitters> 3.26.0-1.mga7
+ Revision: 1152764
- new version 3.26.0

* Wed Aug 23 2017 ovitters <ovitters> 3.25.90-1.mga7
+ Revision: 1143356
- switch to meson
- new version 3.25.90

* Tue Mar 21 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1093974
- new version 3.24.0

* Wed Oct 12 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1060489
- new version 3.22.1

* Sat Sep 24 2016 ovitters <ovitters> 3.22.0-2.mga6
+ Revision: 1055699
- new version 3.22.0

* Mon Mar 21 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993495
- new version 3.20.0

* Mon Feb 15 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 961458
- new version 3.19.90

* Sun Feb 14 2016 umeabot <umeabot> 3.18.0-2.mga6
+ Revision: 960413
- Mageia 6 Mass Rebuild

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 883182
- new release
+ ovitters <ovitters>
- new version 3.17.92

* Wed Aug 19 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 865861
- new version 3.17.90

* Sat Jun 20 2015 ovitters <ovitters> 3.16.0-1.mga6
+ Revision: 836429
- new version 3.16.0

* Fri Feb 13 2015 ovitters <ovitters> 3.15.90-1.mga5
+ Revision: 814835
- new version 3.15.90

* Mon Jan 19 2015 ovitters <ovitters> 3.15.4-1.mga5
+ Revision: 811447
- new version 3.15.4

* Fri Jan 09 2015 ovitters <ovitters> 3.15.2-1.mga5
+ Revision: 809597
- update url
- new version 3.15.2

* Tue Jan 06 2015 ovitters <ovitters> 3.15.1-1.mga5
+ Revision: 808822
- official 2.15.1 release

* Mon Jan 05 2015 ovitters <ovitters> 3.15.1-0.mga5
+ Revision: 808525
- imported package gnome-multi-writer

